package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

import java.util.List;

public class SharedProcessorPool {
    private List<String> link;
    private Metadata metadata;
    private AssignedPartitions assignedPartitions;
    private String currentReservedProcessingUnits;
    private String maximumProcessingUnits;
    private String pendingReservedProcessingUnits;
    private String poolID;
    private String availableProcUnits;
    private String poolName;

    public SharedProcessorPool() {
    }

    public List<String> getLink() {
        return link;
    }

    public void setLink(List<String> link) {
        this.link = link;
    }

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public AssignedPartitions getAssignedPartitions() {
        return assignedPartitions;
    }

    public void setAssignedPartitions(AssignedPartitions assignedPartitions) {
        this.assignedPartitions = assignedPartitions;
    }

    public String getPoolID() {
        return poolID;
    }

    public void setPoolID(String poolID) {
        this.poolID = poolID;
    }

    public String getAvailableProcUnits() {
        return availableProcUnits;
    }

    public void setAvailableProcUnits(String availableProcUnits) {
        this.availableProcUnits = availableProcUnits;
    }

    public String getPoolName() {
        return poolName;
    }

    public void setPoolName(String poolName) {
        this.poolName = poolName;
    }

    public String getCurrentReservedProcessingUnits() {
        return currentReservedProcessingUnits;
    }

    public void setCurrentReservedProcessingUnits(String currentReservedProcessingUnits) {
        this.currentReservedProcessingUnits = currentReservedProcessingUnits;
    }

    public String getMaximumProcessingUnits() {
        return maximumProcessingUnits;
    }

    public void setMaximumProcessingUnits(String maximumProcessingUnits) {
        this.maximumProcessingUnits = maximumProcessingUnits;
    }

    public String getPendingReservedProcessingUnits() {
        return pendingReservedProcessingUnits;
    }

    public void setPendingReservedProcessingUnits(String pendingReservedProcessingUnits) {
        this.pendingReservedProcessingUnits = pendingReservedProcessingUnits;
    }

    @Override
    public String toString() {
        return "SharedProcessorPool [link=" + link + ", metadata=" + metadata + ", assignedPartitions="
            + assignedPartitions + ",currentReservedProcessingUnits= " + currentReservedProcessingUnits + "," +
            "maximumProcessingUnits=" + maximumProcessingUnits + ",pendingReservedProcessingUnits=" + pendingReservedProcessingUnits + ", " +
            "poolID=" + poolID + ", availableProcUnits=" + availableProcUnits
            + ", poolName=" + poolName + "]";
    }
}
